# Loading Screen

* [Bubble.io Plugin](#bubble.io-plugin)
* [JavaScript SDK](#javascript-sdk)

### 🧋 Bubble.io Plugin

#### \[Action] Natively - Show Loading Screen

* Auto Hide - Automatically hides screen after page loaded. \
  !!! Use this carefully since the user can stack on the Loading screen.

#### \[Action] Natively - Hide Loading Screen

### 🛠 JavaScript SDK

#### Show Loading Screen

{% code overflow="wrap" lineNumbers="true" %}

```javascript
// Automatically hides screen after page loaded. 
// !!! Use this carefully since the user can stack on the Loading screen.
const autoHide = true; 
window.natively.showLoadingScreen(autoHide);
```

{% endcode %}

#### Hide Loading Screen

```javascript
window.natively.hideLoadingScreen();
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.buildnatively.com/guides/integration/loading-screen.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
